Closed Bug 1560608 Opened 5 months ago Closed 3 months ago

Set a maxVersion of 69 for Lockwise extension and update the description to tell users the feature is built-in now

Categories

(Firefox :: about:logins, task, P1)

task

Tracking

()

VERIFIED FIXED
Tracking Status
firefox70 --- verified

People

(Reporter: jaws, Assigned: m_and_m)

References

Details

(Whiteboard: [passwords:management] [skyline])

We're planning on shipping Lockwise built-in to Firefox in 70, and thus the Lockwise extension will be obsolete. We should set the maxVersion of the extension to 69 so it will disable itself automatically, then we can have the extension uninstall itself or update the description to explain that the extension is now built-in to Firefox.

Bugbug thinks this bug is a task, but please change it back in case of error.

Type: defect → task
Whiteboard: [passwords:management] [skyline]

Matthew, is this something you can help out with?

Flags: needinfo?(linuxwolf)

Yes, I can help out. I should be able to have a PR in that repo up by the start of next week.

If we can update https://github.com/mozilla-lockwise/lockwise-addon/issues/188 with this directly, that would help.

Flags: needinfo?(linuxwolf)
Assignee: nobody → linuxwolf
Status: NEW → ASSIGNED

Matthew, are you still working on this ? Or do you already have a patch?

Flags: needinfo?(linuxwolf)

Great, want to close the bug? Or, is there anything left to do here?

Flags: needinfo?(linuxwolf)

I think we can close it; will do so now.

Flags: needinfo?(linuxwolf)
Status: ASSIGNED → RESOLVED
Closed: 3 months ago
Resolution: --- → FIXED

I have verified this issue on Firefox Beta 70.0b3 and the latest Nightly 71.0a1 build on Windows 7 x64, Mac 10.14 and Ubuntu 16.04 x64.

  • The Lockwsie extension is successfully disabled after updating the Nightly 69.0a1 build to Nightly 70.0a1. Also, the "feature is built-in Firefox" message is correctly displayed in "about:addons" on the disabled Lockwise extension.
  • The Lockwsie extension is successfully disabled after updating the Firefox Beta 69.0bx to Beta 70.0b3. Also, the "feature is built-in Firefox" message is correctly displayed in "about:addons" on the disabled Lockwise extension.
Status: RESOLVED → VERIFIED
Flags: qe-verify+
Component: Password Manager → about:logins
Product: Toolkit → Firefox
You need to log in before you can comment on or make changes to this bug.